% file name:  BC_condata.m
    nb = 3; ndof = 1;
% Constant geometric data
    s_Q_0_p = [ 0.20; -0.14]; s_Q_1_p = [-0.24;  0.00];
    s_A_1_p = [ 0.18;  0.00]; s_A_2_p = [-0.07; -0.10];
    s_B_2_p = [-0.10;  0.12]; s_B_3_p = [ 0.13;  0.00];
    s_O_3_p = [-0.13;  0.00]; s_O_0_p = [ 0.32;  0.02];
    s_F_0_p = [ 0.38;  0.04]; s_E_1_p = [ 0.00;  0.00]; 
    s_C_2_p = [ 0.03;  0.00]; s_H_0_p = [ 0.00; -0.38];
% Establish cells and arrays
    s_P_p = {s_Q_1_p s_A_1_p s_A_2_p s_B_2_p ...
             s_B_3_p s_O_3_p s_E_1_p s_C_2_p};
       iB = [1 1 2 2 3 3 1 2]; nsP = 8; 
    s_P0_p = {s_O_0_p s_Q_0_p s_F_0_p s_H_0_p}; nsP0 = 4;
    u_p = {}; iBu = []; nu = 0;
    u0_p = {}; nu0 = 0;    
% Mass, moment of inertia, and force data
    m = [2; 30; 1]; J = [0.5; 2.5; 0.5]; g = 9.81;
% Suspension and tire characteristics
    k = [91600 58770]; d_c = [1433 2500]; L_0 = [0.23 0.35];
