function gamma = BC_gamma_rev_tran(u_j, u_j_d, d, d_d, s_P_i_d, ...
                                s_P_j_d, phi_i_d, phi_j_d)
% Gamma array for a revolute-translational joint 
    gamma = u_j_d'*(d*phi_j_d + 2*s_rot(d_d)) - ...
         s_rot(u_j)'*s_rot(s_P_j_d*phi_j_d - s_P_i_d*phi_i_d);