function gamma = BC_gamma
% r-h-s array of acceleration constraints
    BC_global
        d_AQ = r_P{1} - r_P0{2}; d_AQ_d = r_P_d{1};
    gam_AQ = BC_gamma_rev_rev(d_AQ, d_AQ_d, s_P0_d{2}, ...
                        s_P_d{1}, 0, phi_d(1));
        d = r_P{2} - r_P0{1}; d_d = r_P_d{2};
    gam_RT = BC_gamma_rev_tran(u{1}, u_d{1}, d, d_d, ...
                        s_P0_d{1}, s_P_d{2}, 0, phi_d(1));
        gamma = [gam_AQ; gam_RT];