% file name:  BC_condata
% Web Cutter
    nb = 3; ndof = 1;
% Constant geometric data
    s_Q_0_p = [ 0.0;  0.0]; s_Q_1_p = [ 0.0;   0.0];
    s_A_1_p = [ 0.1;  0.0]; s_A_2_p = [ 0.0;  -0.7];
    s_B_2_p = [ 0.0;  0.0]; s_B_3_p = [ 0.0;   0.0];
    s_O_3_p = [ 1.0;  0.0]; s_O_0_p = [ 0.65; -0.1];
    s_C_2_p = [ 0.6;  0.1]; s_D_3_p = [ 0.35;  0.5];
% Establish cells and arrays
    s_P_p = {s_Q_1_p  s_A_1_p  s_A_2_p  s_B_2_p ...
             s_B_3_p  s_O_3_p  s_C_2_p  s_D_3_p};
       iB = [1 1 2 2 3 3 2 3]; nsP = 8; 
    s_P0_p = {s_O_0_p  s_Q_0_p}; nsP0 = 2;
    u_p = {}; iBu = []; nu = 0;
    u0_p = {}; nu0 = 0;
% Mass, moment of inertia, and force data
    m = [1; 10; 10]; J = [0.1; 5.0; 4.0]; g = 9.81;
    k = 0; d_c = 0;