function [jac_i, jac_j] = BC_jacob_rev_tran(u_j, d, s_P_i, s_P_j)
% Jacobian sub-matrices for a revolute-translational Joint
    u_j_r = s_rot(u_j);
    jac_i = [-u_j_r' -u_j'*s_P_i]; jac_j = [ u_j_r'  u_j'*(s_P_j - d)];