function [jac_i, jac_j] = BC_jacob_tran(u_i, d, s_P_i, s_P_j)
% Jacobian sub-matrices for a translational joint
    z2 = [0 0]; u_i_r = s_rot(u_i);
    jac_i = [z2  -1; -u_i_r'  -u_i'*(d + s_P_i)];
    jac_j = [z2   1;  u_i_r'   u_i'*s_P_j      ];