function D = PC_AA_jacob(dees)
% Construct 5x6 Jacobian
    [jac_i_AQ, jac_j_AQ] = PC_jacob_L(dees(:,1));
    [jac_i_BA, jac_j_BA] = PC_jacob_L(dees(:,2));
    [jac_i_BO, jac_j_BO] = PC_jacob_L(dees(:,3));
    [jac_i_CA, jac_j_CA] = PC_jacob_L(dees(:,4));
    [jac_i_CB, jac_j_CB] = PC_jacob_L(dees(:,5));
        z2 = [0 0];
        D = [ jac_j_AQ    z2           z2
              jac_i_BA    jac_j_BA     z2
              z2          jac_j_BO     z2
              jac_i_CA    z2           jac_j_CA
              z2          jac_i_CB     jac_j_CB ];