function [jac_i, jac_j, jac_k] = PC_jacob_p_3(d_ji, d_kj)
% Jacobian for the parallel constraint between
%   two vectors sharing one primary point
    sr_ji = s_rot(d_ji); sr_kj = s_rot(d_kj);
    jac_i = sr_kj'; jac_j = -(sr_ji + sr_kj)'; jac_k = sr_ji';