function m_ps = PC_mass_4_exact(m, s_A, s_B, s_C, J)
% Distribute mass of a body to four particles (exact)
    s_A_2 = s_A'*s_A; s_B_2 = s_B'*s_B; s_C_2 = s_C'*s_C; 
    P = [1      1      1      1
         s_A    s_B    s_C   [0; 0]
         s_A_2  s_B_2  s_C_2  0];
    rhs = [m; 0; 0; J];
    m_ps = P\rhs;