function D = PC_MP_jacob(dees)
% Construct 5x6 Jacobian
    [jac_i_AQ, jac_j_AQ] = PC_jacob_L(dees(:,1));
    [jac_i_AB, jac_j_AB] = PC_jacob_L(dees(:,2));
    [jac_i_CA, jac_j_CA] = PC_jacob_L(dees(:,3));
    [jac_i_CB, jac_j_CB] = PC_jacob_L(dees(:,4));
    [jac_i_p, jac_j_p, jac_k_p] = PC_jacob_p_3(dees(:,5), dees(:,2));
        z2 = [0 0];
        D = [ jac_j_AQ    z2           z2
              jac_j_AB    jac_i_AB     z2
              jac_i_CA    z2           jac_j_CA
              z2          jac_i_CB     jac_j_CB
              jac_k_p     jac_j_p      z2 ];