% file name:  BC_condata.m
% Film-strip advancer
    nb = 3; ndof = 1;
% Constant geometric data
    s_Q_0_p = [ 3.0; -4.5]; s_Q_1_p = [ 0.0;  0.0];
    s_A_1_p = [ 1.5;  0.0]; s_A_2_p = [ 5.0;  0.0];
    s_B_2_p = [ 0.0;  0.0]; s_B_3_p = [ 1.5;  0.0];
    s_O_3_p = [-1.5;  0.0]; s_O_0_p = [ 0.0;  0.0];
    s_C_2_p = [-5.5; -0.5];
% Establish cells and arrays
    s_P_p = {s_Q_1_p s_A_1_p s_A_2_p s_B_2_p s_B_3_p s_O_3_p s_C_2_p};
       iB = [1 1 2 2 3 3 2]; nsP = 7; 
    s_P0_p = {s_O_0_p  s_Q_0_p}; nsP0 = 2;
    u_p = {}; iBu = []; nu = 0;
    u0_p = {}; nu0 = 0;
% Mass, moment of inertia, and force data
    m = [0.01; 0.05; 0.02]; J = [0.001; 0.005; 0.002]; g = 9.81;
    k = 0; d_c = 0;