% file name: BC_condata.m
    nb = 3; ndof = 1;
% Constant geometric data
    s_Q_0_p = [ 0.12; -0.41]; s_Q_1_p = [-0.225; 0.00];
    s_A_1_p = [ 0.225; 0.00]; s_A_2_p = [ 0.00; -0.07];
    s_O_3_p = [-0.15;  0.00]; s_O_0_p = [ 0.41;  0.13];
    s_B_2_p = [-0.17;  0.25]; phi_c = 1.08; 
    u_3_p = [1; 0]; u_2_p = [0.47; -0.88];
% Establish cells and arrays
    s_P_p = {s_Q_1_p s_A_1_p s_A_2_p s_B_2_p s_O_3_p};
       iB = [1 1 2 2 3]; nsP = 5;
    s_P0_p = {s_O_0_p  s_Q_0_p}; nsP0 = 2;
    u_p = {u_3_p  u_2_p}; iBu = [3 2]; nu = 2;
    u0_p = {}; nu0 = 0;    
% Mass, moment of inertia, and force data
    m = [2; 20; 0.5]; J = [0.5; 2.5; 0.2]; g = 9.81;
    k = 22600; d_c = 1270; L_0 = 0.34;