% file name: BC_condata
    nb = 1; ndof = 1;
% Constant geometric data
    s_Q_0_p = [ 0.12; -0.41]; s_A_1_p = [ 0.00; -0.07];
    s_O_0_p = [ 0.41;  0.13]; s_B_1_p = [-0.17;  0.25];
    u_1_p = [ 0.47; -0.88]; L_AQ = 0.45;
% Establish cells and arrays
    s_P_p  = {s_A_1_p  s_B_1_p}; iB = [1 1]; nsP = 2;
    s_P0_p = {s_O_0_p  s_Q_0_p}; nsP0 = 2;
    u_p = {u_1_p}; iBu = [1]; nu = 1;
    u0_p = {}; nu0 = 0;    
% Mass, moment of inertia, and force data
    m = [20]; J = [2.5]; g = 9.81;
    k = 22600; d_c = 1270; L_0 = 0.34;
     
    phi_c = 1.08; % this angle is used in the joint coord. method
    specifics{1} = L_AQ;