function h = BC_h
% Spring-damper, gravitational, ... forces and moments
    BC_global
    d = r_P{2} - r_P0{1}; d_d = r_P_d{2};
    f_sda = pp_sda(d, d_d, k, L_0, d_c, 0);
    f_sd_1 = -f_sda; n_sd_1 = s_rot(s_P{2})'*f_sd_1;
% Gravitational force
    w = g*m;
% Force array
    h_1 = [0; -w(1); 0] + [f_sd_1; n_sd_1];
    h = [h_1];