function h = BC_h
% Force array
    BC_global
    h = zeros(9,1); thickness = 0.02; f = [0; 2000];
% Include resistive force from the web only during cutting
    d = r_P{7} - r_P{8}; d_mag = sqrt(d'*d); r_C_d = r_P_d{7};
    if d_mag < thickness
        if r_C_d(2) < 0
            h(4:5) =  f; h(6) =  s_rot(s_P{7})'*f;
            h(7:8) = -f; h(9) = -s_rot(s_P{8})'*f;
        end
    end
