function h = BC_h
% Spring-damper, gravitational, ... forces and moments
    BC_global
    d = r_P{4} - r_P0{1}; d_d = r_P_d{4};
    f_sda = pp_sda(d, d_d, k, L_0, d_c, 0);
    f_sd_2 = -f_sda; n_sd_2 = s_rot(s_P{4})'*f_sd_2;
% Gravitational force
    w = g*m;
% Force array
    h_1 = [0; -w(1); 0]; 
    h_2 = [0; -w(2); 0] + [f_sd_2; n_sd_2];
    h = [h_1; h_2];