% file name:  JC_kinematics
% Kinematic analysis with joint coordinate formulation
    clear all
    addpath Basics  BC_Basics  JC_Analyses
    folder = input(' which folder ? ', 's'); addpath (folder)
    BC_global
    BC_condata; JC_vardata;
    nbc = 3*nb; njc = nb; nPhi_cut = njc - ndof;
% Determine components of vectors on the ground
    BC_vectors0;
% Parameters for kinematic analysis
    BC_parameters;
% Arrays for the r-h-s of velocity constraints and to save results
    rhsv_all = zeros(njc, 1); record = zeros(n_steps, 20);    
% Kinematic loop
    for n = 1:n_steps
    % Compute (correct) coordinates    
        coords = Newton_Raphson(theta, njc, NR_tol, NR_iter, @JC_function);
    % Compute velocities
        rhsv_all(njc) = rhsv_driver; theta_d = D_all\rhsv_all;
    % Update velocity vectors r_d, phi_d, s_P_d and r_P_d
        B = JC_Bmatrix; c_d = B*theta_d; BC_cd_to_rd; BC_vectors_d;
    % Construct gamma array the compute accelerations
        rhsa_all = [JC_gamma; rhsa_driver]; theta_dd = D_all\rhsa_all;
    % Save the results
        JC_kin_record;
    % Increment time
        time = time + delta_t;
    end