function h = PC_MP_h(d_BO, d_BO_d, m_A, m_B, m_C, g, k, L_0, d_c)
% Compute spring-damper force
    f_sda = pp_sda(d_BO, d_BO_d, k, L_0, d_c, 0);
    f_sda_B = -f_sda;
% Construct gravitational vector of forces
    f_g_A = [0; -m_A*g];
    f_g_B = [0; -m_B*g];
    f_g_C = [0; -m_C*g];
% Construct array of forces
    h = [f_g_A; (f_sda_B + f_g_B); f_g_C];
    